## abrechnung-0.4.1.tar.gz

=== Makefile ===
.PHONY: test
test:
	pytest tests --doctest-modules --cov=abrechnung

.PHONY: format
format:
	black .

.PHONY: check-format
check-format:
	black --check .

.PHONY: lint
lint: pylint mypy bandit

.PHONY: pylint
pylint:
	pylint ./**/*.py

.PHONY: mypy
mypy:
	mypy --ignore-missing-imports .

.PHONY: bandit
bandit:
	bandit -r .

.PHONY: package
package:
	flit build

.PHONY: docs
docs:
	$(MAKE) -C docs html

=== debian/changelog ===
abrechnung (0.4.1) stable; urgency=medium

  * Abrechnung release 0.4.1

 -- Michael Loipführer <milo@sft.lol>  Tue, 4 Jan 2022 23:22:24 +0000

abrechnung (0.4.0) stable; urgency=medium

  * Abrechnung release 0.4.0

 -- Michael Loipführer <milo@sft.lol>  Tue, 4 Jan 2022 23:22:24 +0000

abrechnung (0.3.0) stable; urgency=medium

  * Initial debian release

 -- Michael Loipführer <milo@sft.lol>  Wed, 29 Dec 2021 16:22:24 +0000

=== debian/control ===
Source: abrechnung
Section: contrib/python
Priority: optional
Maintainer: Michael Loipführer <milo@sft.lol>
Build-Depends:
 debhelper (>= 10),
 dh-virtualenv (>= 1.1),
 libsystemd-dev,
 libpq-dev,
 lsb-release,
 python3-dev,
 python3,
 python3-setuptools,
 python3-pip,
 python3-venv,
 tar,
 yarn
Standards-Version: 3.9.8
X-Python-Version: >= 3.9
Rules-Requires-Root: binary-targets
Homepage: https://github.com/SFTtech/abrechnung
Vcs-Browser: https://github.com/SFTtech/abrechung
Vcs-Git: https://github.com/SFTtech/abrechnung.git

Package: abrechnung
Architecture: any
Depends:
 postgresql,
 adduser,
 ${misc:Depends},
 ${python3:Depends}
Suggests: nginx
Description: Fully fledged, feature complete payment management and bookkeeping.

=== debian/rules ===
#!/usr/bin/make -f

#
# Build Debian package using https://github.com/spotify/dh-virtualenv
#

PACKAGE_NAME:=`dh_listpackages`

#export DH_VERBOSE = 1
export NODE_OPTIONS=--openssl-legacy-provider

%:
	dh $@ --with python-virtualenv

# we don't really want to strip the symbols from our object files.
override_dh_strip:

override_dh_virtualenv:
	./debian/build_virtualenv
